Nvidia: Legacy Driver Debian 9.0 Stretch Kernel 4.9 Bug Interface

Current is a UNFIXED Bug on Debian 9.0 Stretch which makes impossible to easy install DKMS Nvidia-Legacy Drivers 304/340 for older Geforce Cards

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=852152

To run nouveau on upgrade 8.0 to 9.0 go to /etc/modprobe.d and remove MANUAL all blacklist configs (*.conf) of nvidia cause some glued on upgrade and are not purged automatic by the upgrade. Cause they will block nouveau load at boot (xserver-xorg-video-nouveau)

Then run on Terminal:

$sudo update-initramfs -u -k all
$sudo update-grub
$sudo reboot

Remarks:

  • Older Hardware isn’t supported by Legacy Drivers after Nvidia-375!!
  • If you not forced to upgrade to 9.0, then WAIT! up to 3 Month! and checkout Bug Lists.
  • I tried Nvidia Installer Files too (*.run) they don’t work too, seems a API of the Kernel is changed
  • Nouveau Version on Debian Stretch is able to run Kodi (glx)! seen on Geforce 8400GS 256MB
  • On Onboard Geforce Chips like older Laptops HOLD Debian 8.0
Мир для Украины Люди